package com.bonus.sgzb.material.service.impl;

import java.util.List;

import com.bonus.sgzb.base.api.domain.TmTask;
import com.bonus.sgzb.common.core.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.bonus.sgzb.material.mapper.TaskMapper;
import com.bonus.sgzb.material.service.TaskService;

/**
 * 任务tm_taskService业务层处理
 * 
 * @author bonus
 * @date 2023-12-13
 */
@Service
public class TaskServiceImpl implements TaskService
{
    @Autowired
    private TaskMapper tmTaskMapper;

    /**
     * 查询任务tm_task
     * 
     * @param taskId 任务tm_task主键
     * @return 任务tm_task
     */
    @Override
    public TmTask selectTmTaskByTaskId(Long taskId)
    {
        return tmTaskMapper.selectTmTaskByTaskId(taskId);
    }

    /**
     * 查询任务tm_task列表
     * 
     * @param tmTask 任务tm_task
     * @return 任务tm_task
     */
    @Override
    public List<TmTask> selectTmTaskList(TmTask tmTask)
    {
        return tmTaskMapper.selectTmTaskList(tmTask);
    }

    /**
     * 新增任务tm_task
     * 
     * @param tmTask 任务tm_task
     * @return 结果
     */
    @Override
    public int insertTmTask(TmTask tmTask)
    {
        tmTask.setCreateTime(DateUtils.getNowDate());
        return tmTaskMapper.insertTmTask(tmTask);
    }

    /**
     * 修改任务tm_task
     * 
     * @param tmTask 任务tm_task
     * @return 结果
     */
    @Override
    public int updateTmTask(TmTask tmTask)
    {
        tmTask.setUpdateTime(DateUtils.getNowDate());
        return tmTaskMapper.updateTmTask(tmTask);
    }

    /**
     * 批量删除任务tm_task
     * 
     * @param taskIds 需要删除的任务tm_task主键
     * @return 结果
     */
    @Override
    public int deleteTmTaskByTaskIds(Long[] taskIds)
    {
        return tmTaskMapper.deleteTmTaskByTaskIds(taskIds);
    }

    /**
     * 删除任务tm_task信息
     * 
     * @param taskId 任务tm_task主键
     * @return 结果
     */
    @Override
    public int deleteTmTaskByTaskId(Long taskId)
    {
        return tmTaskMapper.deleteTmTaskByTaskId(taskId);
    }
}
